Remove traces of gnutls, since we no longer use/need it.
authorJason Parker <jparker@digium.com>
Thu, 1 Nov 2007 23:26:51 +0000 (23:26 +0000)
committerJason Parker <jparker@digium.com>
Thu, 1 Nov 2007 23:26:51 +0000 (23:26 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@88184 65c4cc65-6c06-0410-ace0-fbb531ad65f3

channels/chan_gtalk.c
channels/chan_jingle.c
configure
configure.ac
include/asterisk/autoconfig.h.in
include/asterisk/jabber.h
makeopts.in

index 0bef78e..f67cd6c 100644 (file)
@@ -28,7 +28,7 @@
 /*** MODULEINFO
        <depend>iksemel</depend>
        <depend>res_jabber</depend>
-       <use>gnutls</use>
+       <use>openssl</use>
  ***/
 
 #include "asterisk.h"
@@ -50,11 +50,6 @@ ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 #include <iksemel.h>
 #include <pthread.h>
 
-#ifdef HAVE_GNUTLS
-#include <gcrypt.h>
-GCRY_THREAD_OPTION_PTHREAD_IMPL;
-#endif /* HAVE_GNUTLS */
-
 #include "asterisk/lock.h"
 #include "asterisk/channel.h"
 #include "asterisk/config.h"
@@ -1901,10 +1896,6 @@ static int gtalk_load_config(void)
 /*! \brief Load module into PBX, register channel */
 static int load_module(void)
 {
-#ifdef HAVE_GNUTLS     
-        gcry_control (GCRYCTL_SET_THREAD_CBS, &gcry_threads_pthread);
-#endif /* HAVE_GNUTLS */
-
        ASTOBJ_CONTAINER_INIT(&gtalk_list);
        if (!gtalk_load_config()) {
                ast_log(LOG_ERROR, "Unable to read config file %s. Not loading module.\n", GOOGLE_CONFIG);
index 37c7e69..1340ff8 100644 (file)
@@ -30,7 +30,7 @@
 /*** MODULEINFO
        <depend>iksemel</depend>
        <depend>res_jabber</depend>
-       <use>gnutls</use>
+       <use>openssl</use>
  ***/
 
 #include "asterisk.h"
@@ -51,11 +51,6 @@ ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 #include <iksemel.h>
 #include <pthread.h>
 
-#ifdef HAVE_GNUTLS
-#include <gcrypt.h>
-GCRY_THREAD_OPTION_PTHREAD_IMPL;
-#endif /* HAVE_GNUTLS */
-
 #include "asterisk/lock.h"
 #include "asterisk/channel.h"
 #include "asterisk/config.h"
@@ -1804,10 +1799,6 @@ static int jingle_load_config(void)
 /*! \brief Load module into PBX, register channel */
 static int load_module(void)
 {
-#ifdef HAVE_GNUTLS     
-        gcry_control (GCRYCTL_SET_THREAD_CBS, &gcry_threads_pthread);
-#endif /* HAVE_GNUTLS */
-
        ASTOBJ_CONTAINER_INIT(&jingle_list);
        if (!jingle_load_config()) {
                ast_log(LOG_ERROR, "Unable to read config file %s. Not loading module.\n", JINGLE_CONFIG);
index daca340..d172f27 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 87247 .
+# From configure.ac Revision: 87325 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -741,10 +741,6 @@ CRYPTO_LIB
 CRYPTO_INCLUDE
 CRYPTO_DIR
 PBX_CRYPTO
-GNUTLS_LIB
-GNUTLS_INCLUDE
-GNUTLS_DIR
-PBX_GNUTLS
 GSM_LIB
 GSM_INCLUDE
 GSM_DIR
@@ -1535,8 +1531,6 @@ Optional Packages:
   --with-curl=PATH        use cURL files in PATH
   --with-curses=PATH      use curses files in PATH
   --with-crypto=PATH      use OpenSSL Cryptography support files in PATH
-  --with-gnutls=PATH      use GNU TLS support (used for iksemel only) files in
-                          PATH
   --with-gsm=PATH         use GSM files in PATH , or 'internal'
   --with-iksemel=PATH     use Iksemel Jabber Library files in PATH
   --with-imap=PATH        use UW IMAP Toolkit files in PATH
@@ -7829,34 +7823,6 @@ PBX_CRYPTO=0
 
 
 
-GNUTLS_DESCRIP="GNU TLS support (used for iksemel only)"
-GNUTLS_OPTION="gnutls"
-
-# Check whether --with-gnutls was given.
-if test "${with_gnutls+set}" = set; then
-  withval=$with_gnutls;
-case ${withval} in
-     n|no)
-     USE_GNUTLS=no
-     ;;
-     y|ye|yes)
-     ac_mandatory_list="${ac_mandatory_list} GNUTLS"
-     ;;
-     *)
-     GNUTLS_DIR="${withval}"
-     ac_mandatory_list="${ac_mandatory_list} GNUTLS"
-     ;;
-esac
-
-fi
-
-PBX_GNUTLS=0
-
-
-
-
-
-
 GSM_DESCRIP="GSM"
 GSM_OPTION="gsm"
 
@@ -37231,399 +37197,6 @@ _ACEOF
 fi
 
 
-if test "${PBX_IKSEMEL}" = 1; then
-
-if test "x${PBX_GNUTLS}" != "x1" -a "${USE_GNUTLS}" != "no"; then
-   pbxlibdir=""
-   if test "x${GNUTLS_DIR}" != "x"; then
-      if test -d ${GNUTLS_DIR}/lib; then
-        pbxlibdir="-L${GNUTLS_DIR}/lib"
-      else
-        pbxlibdir="-L${GNUTLS_DIR}"
-      fi
-   fi
-   pbxfuncname="gnutls_bye"
-   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
-      AST_GNUTLS_FOUND=yes
-   else
-      as_ac_Lib=`echo "ac_cv_lib_gnutls_${pbxfuncname}" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lgnutls" >&5
-echo $ECHO_N "checking for ${pbxfuncname} in -lgnutls... $ECHO_C" >&6; }
-if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lgnutls ${pbxlibdir} -lz -lgcrypt -lgpg-error $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char ${pbxfuncname} ();
-int
-main ()
-{
-return ${pbxfuncname} ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  eval "$as_ac_Lib=yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       eval "$as_ac_Lib=no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-ac_res=`eval echo '${'$as_ac_Lib'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-  AST_GNUTLS_FOUND=yes
-else
-  AST_GNUTLS_FOUND=no
-fi
-
-   fi
-
-   if test "${AST_GNUTLS_FOUND}" = "yes"; then
-      GNUTLS_LIB="-lgnutls -lz -lgcrypt -lgpg-error"
-      GNUTLS_HEADER_FOUND="1"
-      if test "x${GNUTLS_DIR}" != "x"; then
-         GNUTLS_LIB="${pbxlibdir} ${GNUTLS_LIB}"
-        GNUTLS_INCLUDE="-I${GNUTLS_DIR}/include"
-        saved_cppflags="${CPPFLAGS}"
-        CPPFLAGS="${CPPFLAGS} -I${GNUTLS_DIR}/include"
-        if test "xgnutls/gnutls.h" != "x" ; then
-           as_ac_Header=`echo "ac_cv_header_${GNUTLS_DIR}/include/gnutls/gnutls.h" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for ${GNUTLS_DIR}/include/gnutls/gnutls.h" >&5
-echo $ECHO_N "checking for ${GNUTLS_DIR}/include/gnutls/gnutls.h... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking ${GNUTLS_DIR}/include/gnutls/gnutls.h usability" >&5
-echo $ECHO_N "checking ${GNUTLS_DIR}/include/gnutls/gnutls.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <${GNUTLS_DIR}/include/gnutls/gnutls.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking ${GNUTLS_DIR}/include/gnutls/gnutls.h presence" >&5
-echo $ECHO_N "checking ${GNUTLS_DIR}/include/gnutls/gnutls.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <${GNUTLS_DIR}/include/gnutls/gnutls.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: ${GNUTLS_DIR}/include/gnutls/gnutls.h: in the future, the compiler will take precedence" >&2;}
-
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for ${GNUTLS_DIR}/include/gnutls/gnutls.h" >&5
-echo $ECHO_N "checking for ${GNUTLS_DIR}/include/gnutls/gnutls.h... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  GNUTLS_HEADER_FOUND=1
-else
-  GNUTLS_HEADER_FOUND=0
-fi
-
-
-        fi
-        CPPFLAGS="${saved_cppflags}"
-      else
-        if test "xgnutls/gnutls.h" != "x" ; then
-            if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
-  { echo "$as_me:$LINENO: checking for gnutls/gnutls.h" >&5
-echo $ECHO_N "checking for gnutls/gnutls.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_gnutls_gnutls_h" >&5
-echo "${ECHO_T}$ac_cv_header_gnutls_gnutls_h" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking gnutls/gnutls.h usability" >&5
-echo $ECHO_N "checking gnutls/gnutls.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <gnutls/gnutls.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking gnutls/gnutls.h presence" >&5
-echo $ECHO_N "checking gnutls/gnutls.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <gnutls/gnutls.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: gnutls/gnutls.h: in the future, the compiler will take precedence" >&2;}
-
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for gnutls/gnutls.h" >&5
-echo $ECHO_N "checking for gnutls/gnutls.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_gnutls_gnutls_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_gnutls_gnutls_h" >&5
-echo "${ECHO_T}$ac_cv_header_gnutls_gnutls_h" >&6; }
-
-fi
-if test $ac_cv_header_gnutls_gnutls_h = yes; then
-  GNUTLS_HEADER_FOUND=1
-else
-  GNUTLS_HEADER_FOUND=0
-fi
-
-
-        fi
-      fi
-      if test "x${GNUTLS_HEADER_FOUND}" = "x0" ; then
-         GNUTLS_LIB=""
-         GNUTLS_INCLUDE=""
-      else
-         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
-           GNUTLS_LIB=""
-        fi
-         PBX_GNUTLS=1
-         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_GNUTLS 1
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_GNUTLS_VERSION
-_ACEOF
-
-      fi
-   fi
-fi
-
-fi
-
 if test "${USE_IMAP_TK}" != "no"; then
    if test "${IMAP_TK_DIR}" = "system" ; then
       { echo "$as_me:$LINENO: Checking for system c-client library..." >&5
@@ -56896,10 +56469,6 @@ CRYPTO_LIB!$CRYPTO_LIB$ac_delim
 CRYPTO_INCLUDE!$CRYPTO_INCLUDE$ac_delim
 CRYPTO_DIR!$CRYPTO_DIR$ac_delim
 PBX_CRYPTO!$PBX_CRYPTO$ac_delim
-GNUTLS_LIB!$GNUTLS_LIB$ac_delim
-GNUTLS_INCLUDE!$GNUTLS_INCLUDE$ac_delim
-GNUTLS_DIR!$GNUTLS_DIR$ac_delim
-PBX_GNUTLS!$PBX_GNUTLS$ac_delim
 GSM_LIB!$GSM_LIB$ac_delim
 GSM_INCLUDE!$GSM_INCLUDE$ac_delim
 GSM_DIR!$GSM_DIR$ac_delim
@@ -56968,6 +56537,10 @@ PGSQL_LIB!$PGSQL_LIB$ac_delim
 PGSQL_INCLUDE!$PGSQL_INCLUDE$ac_delim
 PGSQL_DIR!$PGSQL_DIR$ac_delim
 PBX_PGSQL!$PBX_PGSQL$ac_delim
+PRI_LIB!$PRI_LIB$ac_delim
+PRI_INCLUDE!$PRI_INCLUDE$ac_delim
+PRI_DIR!$PRI_DIR$ac_delim
+PBX_PRI!$PBX_PRI$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -57009,10 +56582,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-PRI_LIB!$PRI_LIB$ac_delim
-PRI_INCLUDE!$PRI_INCLUDE$ac_delim
-PRI_DIR!$PRI_DIR$ac_delim
-PBX_PRI!$PBX_PRI$ac_delim
 SS7_LIB!$SS7_LIB$ac_delim
 SS7_INCLUDE!$SS7_INCLUDE$ac_delim
 SS7_DIR!$SS7_DIR$ac_delim
@@ -57106,6 +56675,10 @@ AST_DECLARATION_AFTER_STATEMENT!$AST_DECLARATION_AFTER_STATEMENT$ac_delim
 GSM_INTERNAL!$GSM_INTERNAL$ac_delim
 KDEINIT!$KDEINIT$ac_delim
 KDEDIR!$KDEDIR$ac_delim
+NETSNMP_CONFIG!$NETSNMP_CONFIG$ac_delim
+PG_CONFIG!$PG_CONFIG$ac_delim
+PTLIB_CONFIG!$PTLIB_CONFIG$ac_delim
+PWLIBDIR!$PWLIBDIR$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -57147,10 +56720,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-NETSNMP_CONFIG!$NETSNMP_CONFIG$ac_delim
-PG_CONFIG!$PG_CONFIG$ac_delim
-PTLIB_CONFIG!$PTLIB_CONFIG$ac_delim
-PWLIBDIR!$PWLIBDIR$ac_delim
 PWLIB_INCDIR!$PWLIB_INCDIR$ac_delim
 PWLIB_LIBDIR!$PWLIB_LIBDIR$ac_delim
 PWLIB_PLATFORM!$PWLIB_PLATFORM$ac_delim
@@ -57175,7 +56744,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 26; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 22; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index 1f20ecf..d07d75b 100644 (file)
@@ -187,7 +187,6 @@ AST_EXT_LIB_SETUP([CAP], [POSIX 1.e capabilities], [cap])
 AST_EXT_LIB_SETUP([CURL], [cURL], [curl])
 AST_EXT_LIB_SETUP([CURSES], [curses], [curses])
 AST_EXT_LIB_SETUP([CRYPTO], [OpenSSL Cryptography support], [crypto])
-AST_EXT_LIB_SETUP([GNUTLS], [GNU TLS support (used for iksemel only)], [gnutls])
 AST_EXT_LIB_SETUP([GSM], [GSM], [gsm], [, or 'internal'])
 AST_EXT_LIB_SETUP([IKSEMEL], [Iksemel Jabber Library], [iksemel])
 AST_EXT_LIB_SETUP([IMAP_TK], [UW IMAP Toolkit], [imap])
@@ -558,10 +557,6 @@ fi
 
 AST_EXT_LIB_CHECK([IKSEMEL], [iksemel], [iks_start_sasl], [iksemel.h])
 
-if test "${PBX_IKSEMEL}" = 1; then
-   AST_EXT_LIB_CHECK([GNUTLS], [gnutls], [gnutls_bye], [gnutls/gnutls.h], [-lz -lgcrypt -lgpg-error])
-fi
-
 if test "${USE_IMAP_TK}" != "no"; then
    if test "${IMAP_TK_DIR}" = "system" ; then
       AC_MSG_NOTICE([Checking for system c-client library...])
index 1862c78..b906bc5 100644 (file)
 /* Define to 1 if you have the `gettimeofday' function. */
 #undef HAVE_GETTIMEOFDAY
 
-/* Define this to indicate the ${GNUTLS_DESCRIP} library */
-#undef HAVE_GNUTLS
-
-/* Define to indicate the ${GNUTLS_DESCRIP} library version */
-#undef HAVE_GNUTLS_VERSION
-
 /* Define to indicate the GSM library */
 #undef HAVE_GSM
 
index 89fdd1a..504bcdd 100644 (file)
@@ -32,8 +32,6 @@
  *
  * \section External dependencies
  * AJI use the IKSEMEL library found at http://iksemel.jabberstudio.org/
- * To use TLS connections, IKSEMEL depends on the GNUTLS library
- * available at http://iksemel.jabberstudio.org/
  *
  * \section Files
  * - res_jabber.c
index d08f756..3c09112 100644 (file)
@@ -92,9 +92,6 @@ GTK2_LIB=@GTK2_LIB@
 IKSEMEL_INCLUDE=@IKSEMEL_INCLUDE@
 IKSEMEL_LIB=@IKSEMEL_LIB@
 
-GNUTLS_INCLUDE=@GNUTLS_INCLUDE@
-GNUTLS_LIB=@GNUTLS_LIB@
-
 IMAP_TK_INCLUDE=@IMAP_TK_INCLUDE@
 IMAP_TK_LIB=@IMAP_TK_LIB@